/***************************************************************************
                           videowidgetimpl.h
                           -------------------
    begin                : Mon Jun 3 2002
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
    rcs data             : $Id: $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef VIDEOWIDGETIMPL_H
#define VIDEOWIDGETIMPL_H

#include "videowidget.h"
#include "pluginfactory.h"

class ConfigData;
class QtVision;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */

class VideoWidgetImpl : public VideoWidget
{
    Q_OBJECT
	
  public: 
    VideoWidgetImpl(QWidget*, QtVision*);
    ~VideoWidgetImpl();
    
    void setup(ConfigData*, KConfig*);
    void apply(ConfigData*, KConfig*);

    
private slots:
    void selectionChanged();
    void configurePlugin();
    void itemDoubleClicked(QListViewItem*);
 
 
private:
    QtVision   *_qtv;
};

#endif
